Cyberduck Mountain Duck CLI

#98 closed enhancement (fixed)

Preference for not automatically looking into folders (no autoexpanding)

Reported by: ojsoft@… Owned by: dkocher
Priority: normal Milestone: 2.7
Component: interface Version: 2.5.3
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

The problem:

I have quite some filled folders on my servers. These are directories with automatic filled in cache files that I never ever want to look inside.

It always happens while dragging something into my site that I accidently touch such a directory and Cyberduck than wants to look into that folder. Well, that is a bad idea, then my system hangs for a couple of minutes, it's so enoying.

I need a preference to switch off this automatic folder opening, it might be handy for most users, but not in any case.

Please... Cyberduck is so great except this....

Change History (11)

comment:1 Changed on Jan 9, 2006 at 11:35:20 PM by dkocher

  • Component changed from core to interface
  • Status changed from new to assigned
  • Summary changed from Preference for not automatically looking into folders to Preference for not automatically looking into folders (no autoexpanding)

When dragging in a NSOutlineView, it auto expands its children too quickly.

comment:2 Changed on Jan 10, 2006 at 12:04:53 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

As of r1821 one can set a property with defaults write ch.sudo.cyberduck browser.view.autoexpand false which will disable the autoexpanding of folders in the outline view.

comment:3 Changed on Jan 11, 2006 at 7:13:28 PM by dkocher

  • Milestone changed from 2.6 to 2.5.4

comment:4 Changed on Feb 12, 2006 at 1:56:05 AM by dkocher

One can write in a Terminal.app window to disable autoexapanding:

defaults write ch.sudo.cyberduck browser.view.autoexpand false

comment:5 Changed on Apr 27, 2006 at 5:36:52 PM by element701@…

as i understand, there no plans to put this in place as a preference. is that correct? is there any way you could do that for us, please? (the only reason i ask is that most people don't visit this website and isn't the .plist file replaced on a new installation of the program?)

comment:6 Changed on Aug 16, 2006 at 10:34:34 PM by tal AT tallomax [dot] com

  • Resolution fixed deleted
  • Status changed from closed to reopened

This should be added as a preference in the advanced pane, I have long had issues with Cyberduck "peeking" inside folders I am merely dragging across. When it peeks and requests the contents of a very large folder, the FTP server takes such a long time to respond that Cyberduck stays locked up (spinning beachball) for several minutes on some occasions.

This is cumbersome since I am not attempting to place anything in that folder -- I have merely dragged by or across it to reach another folder.

I was about to submit it as a new bug when I found this closed ticket.

comment:7 Changed on Aug 21, 2006 at 1:47:20 PM by dkocher

  • Milestone changed from 2.5.4 to 2.6.5
  • Status changed from reopened to new

comment:8 Changed on Aug 21, 2006 at 1:47:48 PM by dkocher

  • Status changed from new to assigned

comment:9 Changed on Aug 30, 2006 at 8:48:02 PM by pb@…

If possible, it would be nice to see this feature use the Finder preference for spring-loaded folder delay. Personally, I set that to the maximum and use the spacebar when I want to force a folder open.

A simple checkbox as discussed would be fine -- but with the current behavior I'd always leave it off.

comment:10 Changed on Aug 31, 2006 at 6:08:07 PM by tal AT tallomax [dot] com

After using Cyberduck daily with:

defaults write ch.sudo.cyberduck browser.view.autoexpand false

I have noticed that CyberDuck is still locking up while it waits to list folders that are dragged across in outline view. This is also noted in Ticket #193. It may be a good idea to split this ticket into two tasks: 1) fixing the lock up on drag across and 2) A preference to disable auto-expanding or spring loaded folders.

comment:11 Changed on Oct 13, 2006 at 10:44:59 AM by dkocher

  • Milestone changed from 2.6.5 to 2.6.3
  • Resolution set to fixed
  • Status changed from assigned to closed

Fixed as of r2430.

Note: See TracTickets for help on using tickets.
swiss made software